package com.steerinfo.baseinfo.meterbasecarrierunit.service;

import com.steerinfo.framework.service.IBaseService;
import com.steerinfo.baseinfo.meterbasecarrierunit.model.MeterBaseCarrierUnit;

import java.util.List;
import java.util.Map;

/**
 * MeterBaseCarrierUnit服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2020-06-16 09:53
 * 类描述
 * 修订历史：
 * 日期：2020-06-16
 * 作者：generator
 * 参考：
 * 描述：MeterBaseCarrierUnit服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface IMeterBaseCarrierUnitService extends IBaseService<MeterBaseCarrierUnit, String>{
     String checkandadd(MeterBaseCarrierUnit model);

     String Recovery(List<MeterBaseCarrierUnit> models);

     String abolish(List<MeterBaseCarrierUnit> models);

     String checkandupdate(String id,MeterBaseCarrierUnit model);

     List<MeterBaseCarrierUnit> queryAll(Map<String,Object> parmas);
}